Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.adapter.event
Class AbstractBEAPullEventGenerator

    java.lang.Object
      com.bea.adapter.event.AbstractEventGenerator
          com.bea.adapter.event.AbstractPullEventGenerator
              com.bea.adapter.event.AbstractBEAPullEventGenerator

All Implemented Interfaces:
  IEventGenerator, Runnable

    public abstract class AbstractBEAPullEventGenerator

extends AbstractPullEventGenerator

BEA Specific class for licensing. This class is distributed as an example for the licensing implementation. Contains methods required to validate licensing.

Field Summary

Fields inherited from class com.bea.adapter.event.AbstractEventGenerator
`m_setOfEventTypes`

Constructor Summary
`AbstractBEAPullEventGenerator()`

Method Summary
`protected ValidationResult` | `checkLicense()` Returns true if the adapter can locate a valid BEA license in the runtime environment; looks for license.bea on the classpath.
`protected abstract String` | `getLicensedProductComponent()`
`protected abstract String` | `getLicensedProductName()`
`protected abstract String` | `getLicensedProductRelease()`

Methods inherited from class com.bea.adapter.event.AbstractPullEventGenerator
`checkInitializeState, checkThreadState, doCleanUpOnQuit, doInit, isSuspended, postEvents, removeDeadTypes, resume, run, setupNewTypes, start, stop, suspend`

Methods inherited from class com.bea.adapter.event.AbstractEventGenerator
`assertValidLicense, createSetOfEventTypes, getEventDefinition, getEventTypes, getInitializationParms, getLogContext, getLogger, getRouter, getSleepCount, handlePostEventException, init, isEventTypeKnownToRouter, isInitialized, logDeadTypes, logEventTypes, logNewTypes, logPostEventException, refresh`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractBEAPullEventGenerator

    public AbstractBEAPullEventGenerator()

Method Detail

### getLicensedProductName

    protected abstract String getLicensedProductName()

  Returns:
    this product's name for license verification; BEA adapter developers should make this method `final`

### getLicensedProductRelease

    protected abstract String getLicensedProductRelease()

  Returns:
    this product's release for license verification; BEA adapter developers should make this method `final`

### getLicensedProductComponent

    protected abstract String getLicensedProductComponent()

  Returns:
    this product's component for license verification; BEA adapter developers should make this method `final`

### checkLicense

    protected final ValidationResult checkLicense()

  Returns true if the adapter can locate a valid BEA license in the runtime environment; looks for license.bea on the classpath.

  Overrides:
    `checkLicense` in class `AbstractEventGenerator`
  Returns:
    ValidationResult - an object that describes the result of a validation check; a `ValidationResult` object may or may not have additional information associated with it. The additional information is used to generate a "better" exception on a failed validation attempt.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD